package com.pcloud.book.applet.biz;

import com.pcloud.book.applet.entity.AppletNewsServe;
import com.pcloud.common.page.PageBeanNew;

import java.util.Map;

/**
 * (AppletNewsServe)表服务接口
 *
 * @author makejava
 * @since 2020-06-30 16:56:08
 */
public interface AppletNewsServeBiz {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    AppletNewsServe getById(Long id);

    /**
     * 分页查询
     */
    PageBeanNew getList(Integer currentPage, Integer numPerPage);

    /**
     * 新增数据
     *
     * @param appletNewsServe 实例对象
     * @return 主键
     */
    Long insert(AppletNewsServe appletNewsServe);

    /**
     * 修改数据
     *
     * @param appletNewsServe 实例对象
     */
    void update(AppletNewsServe appletNewsServe);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    void deleteById(Long id);

    Map<String, Object> exportClickCountExcel(Integer count, String date, Integer sourceType);
}